.news-selectors {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 8px;
}

.news-selector {
  padding: 16px 22px;
  font-size: 22px;
  font-weight: 400;
}

.news-selector.active {
  background: var(--default-violet);
  color: #fff;
}

.news-search-wrapper {
  position: relative;
}

.news-search {
  position: absolute;
  right: 0;
  bottom: 0;
  width: 56px;
  height: 56px;
  border: 1px solid var(--default-violet);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

.news-search-input,
.news-search-close {
  display: none;
}

.news-search-icon {
  display: flex;
}

.news-search-icon,
.news-search-close {
  padding: 15px;
}

.news-search-close {
  margin-right: -1px;
  border-radius: 30px;
  border: 1px solid var(--default-violet);
}

.news-search-input {
  flex-grow: 1;
}

.news-search-input input {
  border: none;
  outline: unset;
  background: transparent;
  color: var(--default-violet);
  font-size: 22px;
  line-height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
}

.news-search-input input::placeholder {
  color: var(--default-violet-07);
}

.news-search.active {
  padding-left: 15px;
  width: 100%;
  justify-content: space-between;
  background: #f6f6f6;
  border-radius: 30px;
}

.news-search.active .news-search-close,
.news-search.active .news-search-input {
  display: flex;
}

.news-content {
  margin-top: 30px;
}

.news-previews {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.news-preview {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  border-radius: 30px;
  overflow: hidden;
  width: calc(25% - 15px);
}

.news-preview-false {
  width: 280px;
}

.news-preview-image {
  transition: transform 0.3s ease-in-out;
}

.news-preview:hover .news-preview-image {
  transform: scale(1.05);
}

.news-preview-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  text-align: center;
  text-transform: none;
  font-weight: normal;
  color: #fff;
  font-size: 26px;
  line-height: 100%;
  width: 100%;
  max-width: 210px;
}

@media screen and (max-width: 1300px) {
  .news-previews {
    gap: 15px;
    /* justify-content: center; */
  }

  .news-preview {
    width: calc(50% - 7.5px);
  }

  .news-preview-false {
    width: 220px;
  }
}

@media screen and (max-width: 767px) {
  .news-search-wrapper {
    display: none;
  }

  .news-content {
    margin-top: 0;
  }

  .news-previews {
    gap: 10px;
  }

  .news-preview-false {
    width: 160px;
  }

  .news-preview-title {
    font-size: 18px;
    max-width: 150px;
  }

  /* .news-selector {
        padding: 9px 13px;
        font-size: 15px;
    }

    .news-search {
        width: 35px;
        height: 35px;
        margin-top: 6px;
        position: static;
    }

    .news-search-icon, .news-search-close {
        padding: 8px;
    }

    .news-search-icon img, .news-search-close img {
        width: 15px;
        height: 15px;
    }

    .news-search.active {
        padding-left: 0;
    }

    .news-search-input input {
        font-size: 15px;
    } */
}

.news-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

@media screen and (max-width: 1300px) {
  .news-grid {
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
  }
}

@media screen and (max-width: 767px) {
  .news-grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }
}

.news-views__item {
  display: block;
  border-radius: 30px;
  background: #fff;
  overflow: hidden;
}

.news-views__image {
  height: auto;
  border-radius: 30px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media screen and (max-width: 767px) {
  .news-views__item {
    border-radius: 20px;
  }

  .news-views__image {
    border-radius: 20px;
    overflow: hidden;
  }
}

@media screen and (max-width: 768px) {
  .news-swiper .swiper-slide {
    width: 45%;
  }
}

@media screen and (max-width: 460px) {
  .news-views__image {
    height: 115px;
  }
}

.news-views__image img {
  /* transition: transform 0.3s ease-in-out;
  width: 100%;
  height: 100%;
  object-fit: cover; */
  transition: transform 0.3s ease-in-out;
  width: 100%;
  /* height: 100%; */
  aspect-ratio: 20 / 13;
  object-fit: cover;
}

.news-views__image picture {
  /* width: 100%;
  height: 100%; */
}

.news-views__item:hover .news-views__image img {
  transform: scale(1.05);
}

.news-views__body {
  padding: 20px;
}

@media screen and (max-width: 767px) {
  .news-views__body {
    padding: 10px;
    padding-bottom: 16px;
  }
}

.news-views__section {
  color: #58585a;
  font-size: 14px;
  font-weight: 400;
  line-height: 120%;
  margin-bottom: 14px;
}

@media screen and (max-width: 767px) {
  .news-views__section {
    margin-bottom: 6px;
    font-size: 12px;
  }
}

.news-views__title {
  color: #000;
  font-size: 18px;
  font-weight: 700;
  line-height: 120%;
  height: 66px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
  margin-bottom: 6px;
  text-transform: none;
}

@media screen and (max-width: 1320px) {
  .news-views__title {
    font-size: 14px;
    text-align: left;
    height: 51px;
  }
}

.news-views__views {
  color: #000;
  font-size: 16px;
  font-weight: 400;
  line-height: 120%;
}

@media screen and (max-width: 767px) {
  .news-views__views {
    font-size: 12px;
  }
}

.news-swiper {
  position: relative;
  margin-top: 40px;
}

.news-swiper .swiper-button-next,
.news-swiper .swiper-button-prev {
  width: 50px;
  height: 50px;
}

.news-swiper .swiper-button-next:after,
.news-swiper .swiper-button-prev:after {
  display: none;
}

.news-swiper .swiper-button-next {
  right: -25px;
}

.news-swiper .swiper-button-prev {
  left: -25px;
}

@media screen and (max-width: 1320px) {
  .news-swiper .swiper-button-next {
    right: -0;
  }

  .news-swiper .swiper-button-prev {
    left: -0;
  }
}

@media screen and (max-width: 768px) {
  /* .news-slider-block {
    display: none;
  } */

  .news-swiper .swiper-button-next {
    display: none;
  }

  .news-swiper .swiper-button-prev {
    display: none;
  }
}